package cz.vsb.kp;

import com.badlogic.gdx.Game;
import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.graphics.OrthographicCamera;
import com.badlogic.gdx.graphics.g2d.BitmapFont;
import com.badlogic.gdx.graphics.g2d.SpriteBatch;
import com.badlogic.gdx.graphics.glutils.ShapeRenderer;
import com.badlogic.gdx.math.Vector2;
import com.badlogic.gdx.physics.box2d.Box2DDebugRenderer;
import com.badlogic.gdx.physics.box2d.World;

public class DropGame extends Game {
	SpriteBatch batch;
	BitmapFont font;
	
	ShapeRenderer shapeRenderer;
    
	@Override
	public void create() {

		font = new BitmapFont(Gdx.files.internal("red-font.fnt"));
		font.getData().setScale(1f);
		batch = new SpriteBatch();
		shapeRenderer = new ShapeRenderer();

		setScreen(new MainMenuScreen(this));
        
	}

	@Override
	public void dispose() {
		batch.dispose();
		font.dispose();
		shapeRenderer.dispose();
	}
}
